<?php 

add_action( 'customize_register', 'b3_zara_customize_register' );

function b3_zara_customize_register($wp_customize){
	$wp_customize->add_setting( 'et_divi[color_primary]', array(
		'default'		=> '#cda568',
		'type'			=> 'option',
		'capability'	=> 'edit_theme_options',
		'transport'		=> 'postMessage',
		 
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 
		'et_divi[color_primary]', 
		array(
			'label'      => __( 'Primary Color', 'zara' ),
			'section'    => 'et_color_schemes',
			'settings'   => 'et_divi[color_primary]',
		        'priority'   => 1
		)
	));	


	$wp_customize->add_setting( 'et_divi[ghost_header]', array(
		'default'		=> true,
		'type'			=> 'option',
		'capability'	=> 'edit_theme_options',
		'transport'		=> 'postMessage',
		'sanitize_callback' => 'wp_validate_boolean',
	) );
	$wp_customize->add_control( 'et_divi[ghost_header]', array(
		'label'		=> esc_html__( 'Enable Ghost Header', 'Zara' ),
		'section'	=> 'et_divi_header_layout',
		'type'      => 'checkbox',
	) );

}
add_action( 'wp_head', 'b3_zara_add_customizer_css' );
function b3_zara_add_customizer_css(){
	$color_primary = et_get_option( 'color_primary', '#cda568' );
	$ghost_header = et_get_option( 'ghost_header', true );
	?>
	<style id="zara-customizer-css">
		.normal.menu-item a:before{
			background-color: <?php echo $color_primary ?>;
		}
		<?php if($ghost_header): ?>
		@media only screen and (min-width: 981px){
			.home #main-header {
			    background-color: rgba(31,31,31,0.0) !important; 
			}		
			#main-header.et-fixed-header {
			    background-color: #0e1015 !important;
			}	
		}
		<?php endif; ?>
	</style>
	<?php 
}


/*
	$wp_customize->add_control( 'et_divi[color_schemes]', array(
		'label'		=> esc_html__( 'Color Schemes', 'Divi' ),
		'section'	=> 'et_color_schemes',
		'settings'	=> 'et_divi[color_schemes]',
		'type'		=> 'select',
		'choices'	=> et_divi_color_scheme_choices(),
	) );*/