<?php
require_once( get_stylesheet_directory() . '/lib/zara-license.php' );
// Load the API Key library if it is not already loaded. Must be placed in the root plugin file.
if (  class_exists( 'Zara_License_Theme' ) ) {
    /**
     * @param string $file             Must be __FILE__ from the root plugin file, or theme functions file.
     * @param string $software_title   Must be exactly the same as the Software Title in the product.
     * @param string $software_version This product's current software version.
     * @param string $plugin_or_theme  'plugin' or 'theme'
     * @param string $api_url          The URL to the site that is running the API Manager. Example: https://www.toddlahman.com/
     *
     * @return \AM_License_Submenu|null
     */
    Zara_License_Theme::instance( __FILE__, 'ZARA', '1.9', 'theme', 'https://b3multimedia.ie/' );
}
add_action( 'wp_enqueue_scripts', 'my_enqueue_assets' );
function my_enqueue_assets() {
    wp_enqueue_style( 'parent-style', get_template_directory_uri().'/style.css' );
}

add_action('admin_enqueue_scripts', 'Zara_enqueue_admin', 9999);

function Zara_enqueue_admin() {
	wp_enqueue_style('Zara_admin_css', get_stylesheet_directory_uri().'/css/admin_zara_style.css');
}


// Google Fonts Edited
function et_builder_get_google_fonts() {
        $google_fonts = array(
                'Abel' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'sans-serif',
                ),
                'Amatic SC' => array(
                        'styles'                => '400,700',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Arimo' => array(
                        'styles'                => '400,400italic,700italic,700',
                        'character_set' => 'latin,cyrillic-ext,latin-ext,greek-ext,cyrillic,greek,vietnamese',
                        'type'                  => 'sans-serif',
                ),
                'Arvo' => array(
                        'styles'                => '400,400italic,700,700italic',
                        'character_set' => 'latin',
                        'type'                  => 'serif',
                ),
                'Bevan' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Bitter' => array(
                        'styles'                => '400,400italic,700',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'serif',
                ),
                'Black Ops One' => array(
                        'styles'                => '400',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'cursive',
                ),
                'Boogaloo' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Bree Serif' => array(
                        'styles'                => '400',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'serif',
                ),
                'Calligraffitti' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Cantata One' => array(
                        'styles'                => '400',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'serif',
                ),
                'Great Vibes' => array(
                        'styles'                => '400,400italic,700',
                        'character_set' => 'latin,greek-ext,greek,latin-ext',
                        'type'                  => 'serif',
                ),
                'Changa One' => array(
                        'styles'                => '400,400italic',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Cherry Cream Soda' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Chewy' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Comfortaa' => array(
                        'styles'                => '400,300,700',
                        'character_set' => 'latin,cyrillic-ext,greek,latin-ext,cyrillic',
                        'type'                  => 'cursive',
                ),
                'Coming Soon' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Covered By Your Grace' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Crafty Girls' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Crete Round' => array(
                        'styles'                => '400,400italic',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'serif',
                ),
                'Crimson Text' => array(
                        'styles'                => '400,400italic,600,600italic,700,700italic',
                        'character_set' => 'latin',
                        'type'                  => 'serif',
                ),
                'Cuprum' => array(
                        'styles'                => '400,400italic,700italic,700',
                        'character_set' => 'latin,latin-ext,cyrillic',
                        'type'                  => 'sans-serif',
                ),
                'Dancing Script' => array(
                        'styles'                => '400,700',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Dosis' => array(
                        'styles'                => '400,200,300,500,600,700,800',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'sans-serif',
                ),
                'Droid Sans' => array(
                        'styles'                => '400,700',
                        'character_set' => 'latin',
                        'type'                  => 'sans-serif',
                ),
                'Droid Serif' => array(
                        'styles'                => '400,400italic,700,700italic',
                        'character_set' => 'latin',
                        'type'                  => 'serif',
                ),
                'Francois One' => array(
                        'styles'                => '400',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'sans-serif',
                ),
                'Fredoka One' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'The Girl Next Door' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Gloria Hallelujah' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Happy Monkey' => array(
                        'styles'                => '400',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'cursive',
                ),
                'Indie Flower' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Josefin Slab' => array(
                        'styles'                => '400,100,100italic,300,300italic,400italic,600,700,700italic,600italic',
                        'character_set' => 'latin',
                        'type'                  => 'serif',
                ),
                'Judson' => array(
                        'styles'                => '400,400italic,700',
                        'character_set' => 'latin',
                        'type'                  => 'serif',
                ),
                'Kreon' => array(
                        'styles'                => '400,300,700',
                        'character_set' => 'latin',
                        'type'                  => 'serif',
                ),
                'Lato' => array(
                        'styles'                => '400,100,100italic,300,300italic,400italic,700,700italic,900,900italic',
                        'character_set' => 'latin',
                        'type'                  => 'sans-serif',
                ),
                'Lato Light' => array(
                        'parent_font' => 'Lato',
                        'styles'      => '300',
                ),
                'Leckerli One' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Lobster' => array(
                        'styles'                => '400',
                        'character_set' => 'latin,cyrillic-ext,latin-ext,cyrillic',
                        'type'                  => 'cursive',
                ),
                'Lobster Two' => array(
                        'styles'                => '400,400italic,700,700italic',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Lora' => array(
                        'styles'                => '400,400italic,700,700italic',
                        'character_set' => 'latin',
                        'type'                  => 'serif',
                ),
                'Luckiest Guy' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Merriweather' => array(
                        'styles'                => '400,300,900,700',
                        'character_set' => 'latin',
                        'type'                  => 'serif',
                ),
                'Metamorphous' => array(
                        'styles'                => '400',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'cursive',
                ),
                'Montserrat' => array(
                        'styles'                => '400,700',
                        'character_set' => 'latin',
                        'type'                  => 'sans-serif',
                ),
                'Noticia Text' => array(
                        'styles'                => '400,400italic,700,700italic',
                        'character_set' => 'latin,vietnamese,latin-ext',
                        'type'                  => 'serif',
                ),
                'Nova Square' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Nunito' => array(
                        'styles'                => '400,300,700',
                        'character_set' => 'latin',
                        'type'                  => 'sans-serif',
                ),
                'Old Standard TT' => array(
                        'styles'                => '400,400italic,700',
                        'character_set' => 'latin',
                        'type'                  => 'serif',
                ),
                'Open Sans' => array(
                        'styles'                => '300italic,400italic,600italic,700italic,800italic,400,300,600,700,800',
                        'character_set' => 'latin,cyrillic-ext,greek-ext,greek,vietnamese,latin-ext,cyrillic',
                        'type'                  => 'sans-serif',
                ),
                'Open Sans Condensed' => array(
                        'styles'                => '300,300italic,700',
                        'character_set' => 'latin,cyrillic-ext,latin-ext,greek-ext,greek,vietnamese,cyrillic',
                        'type'                  => 'sans-serif',
                ),
                'Open Sans Light' => array(
                        'parent_font' => 'Open Sans',
                        'styles'      => '300',
                ),
                'Oswald' => array(
                        'styles'                => '400,300,700',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'sans-serif',
                ),
                'Pacifico' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Passion One' => array(
                        'styles'                => '400,700,900',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'cursive',
                ),
                'Patrick Hand' => array(
                        'styles'                => '400',
                        'character_set' => 'latin,vietnamese,latin-ext',
                        'type'                  => 'cursive',
                ),
                'Permanent Marker' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Play' => array(
                        'styles'                => '400,700',
                        'character_set' => 'latin,cyrillic-ext,cyrillic,greek-ext,greek,latin-ext',
                        'type'                  => 'sans-serif',
                ),
                'Playfair Display' => array(
                        'styles'                => '400,400italic,700,700italic,900italic,900',
                        'character_set' => 'latin,latin-ext,cyrillic',
                        'type'                  => 'serif',
                ),
                'Poiret One' => array(
                        'styles'                => '400',
                        'character_set' => 'latin,latin-ext,cyrillic',
                        'type'                  => 'cursive',
                ),
                'PT Sans' => array(
                        'styles'                => '400,400italic,700,700italic',
                        'character_set' => 'latin,latin-ext,cyrillic',
                        'type'                  => 'sans-serif',
                ),
                'PT Sans Narrow' => array(
                        'styles'                => '400,700',
                        'character_set' => 'latin,latin-ext,cyrillic',
                        'type'                  => 'sans-serif',
                ),
                'PT Serif' => array(
                        'styles'                => '400,400italic,700,700italic',
                        'character_set' => 'latin,cyrillic',
                        'type'                  => 'serif',
                ),
                'Raleway' => array(
                        'styles'                => '400,100,200,300,600,500,700,800,900',
                        'character_set' => 'latin',
                        'type'                  => 'sans-serif',
                ),
                'Raleway Light' => array(
                        'parent_font' => 'Raleway',
                        'styles'      => '300',
                ),
                'Reenie Beanie' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Righteous' => array(
                        'styles'                => '400',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'cursive',
                ),
                'Roboto' => array(
                        'styles'                => '400,100,100italic,300,300italic,400italic,500,500italic,700,700italic,900,900italic',
                        'character_set' => 'latin,cyrillic-ext,latin-ext,cyrillic,greek-ext,greek,vietnamese',
                        'type'                  => 'sans-serif',
                ),
                'Roboto Condensed' => array(
                        'styles'                => '400,300,300italic,400italic,700,700italic',
                        'character_set' => 'latin,cyrillic-ext,latin-ext,greek-ext,cyrillic,greek,vietnamese',
                        'type'                  => 'sans-serif',
                ),
                'Roboto Light' => array(
                        'parent_font' => 'Roboto',
                        'styles'      => '100',
                ),
                'Rock Salt' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Rokkitt' => array(
                        'styles'                => '400,700',
                        'character_set' => 'latin',
                        'type'                  => 'serif',
                ),
                'Sanchez' => array(
                        'styles'                => '400,400italic',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'serif',
                ),
                'Satisfy' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Schoolbell' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Shadows Into Light' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Source Sans Pro' => array(
                        'styles'                => '400,200,200italic,300,300italic,400italic,600,600italic,700,700italic,900,900italic',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'sans-serif',
                ),
                'Source Sans Pro Light' => array(
                        'parent_font' => 'Source Sans Pro',
                        'styles'      => '300',
                ),
                'Special Elite' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Squada One' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Tangerine' => array(
                        'styles'                => '400,700',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Ubuntu' => array(
                        'styles'                => '400,300,300italic,400italic,500,500italic,700,700italic',
                        'character_set' => 'latin,cyrillic-ext,cyrillic,greek-ext,greek,latin-ext',
                        'type'                  => 'sans-serif',
                ),
                'Unkempt' => array(
                        'styles'                => '400,700',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Vollkorn' => array(
                        'styles'                => '400,400italic,700italic,700',
                        'character_set' => 'latin',
                        'type'                  => 'serif',
                ),
                'Walter Turncoat' => array(
                        'styles'                => '400',
                        'character_set' => 'latin',
                        'type'                  => 'cursive',
                ),
                'Yanone Kaffeesatz' => array(
                        'styles'                => '400,200,300,700',
                        'character_set' => 'latin,latin-ext',
                        'type'                  => 'sans-serif',
                ),
        );
 
        return apply_filters( 'et_builder_google_fonts', $google_fonts );
}


// Enqueue Reservation Popup
add_action( 'wp_enqueue_scripts', 'booking_popup' );
function booking_popup() {
	$divi_top_menu_caldera_popup_form = et_get_option('divi_top_menu_caldera_popup_form','CF576eb350828f5');
    wp_enqueue_script( 'booking_popup', get_stylesheet_directory_uri() . '/js/booking_popup.js', array( 'jquery' ), '', true );
	wp_localize_script( 'booking_popup', 'divi_caldera_popup_form', array( 'divi_top_menu_caldera_popup_form' => $divi_top_menu_caldera_popup_form) );

}
// Add Customizer Settings
include 'b3_customizer.php';


/**
 *
 * @see http://tgmpluginactivation.com/configuration/ for detailed documentation.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1 for child theme ZARA
 * @author     Thomas Griffin, Gary Jones, Juliette Reinders Folmer
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/TGMPA/TGM-Plugin-Activation
 */

/**
 * Include the TGM_Plugin_Activation class.
 *
 * Depending on your implementation, you may want to change the include call:
 *
 * Child Theme:
 * require_once get_stylesheet_directory() . '/path/to/class-tgm-plugin-activation.php';
 *
 */
require_once get_stylesheet_directory() . '/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'ZARA_register_required_plugins' );

/**
 * Register the required plugins for this theme.
 *
 * In this example, we register five plugins:
 * - one included with the TGMPA library
 * - two from an external source, one from an arbitrary source, one from a GitHub repository
 * - two from the .org repo, where one demonstrates the use of the `is_callable` argument
 *
 * The variables passed to the `tgmpa()` function should be:
 * - an array of plugin arrays;
 * - optionally a configuration array.
 * If you are not changing anything in the configuration array, you can remove the array and remove the
 * variable from the function call: `tgmpa( $plugins );`.
 * In that case, the TGMPA default settings will be used.
 *
 * This function is hooked into `tgmpa_register`, which is fired on the WP `init` action on priority 10.
 */
function ZARA_register_required_plugins() {
    /*
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(


         // This is an example of how to include a plugin from an arbitrary external source in your theme.
        array(
            'name'         => 'Master Slider - Responsive Touch Slider', // The plugin name.
            'slug'         => 'masterslider', // The plugin slug (typically the folder name).
            'source'       => 'https://zara.b3multimedia.ie/imports/codecanyon-7467925-master-slider-wordpress-responsive-touch-slider-wordpress-plugin.zip', // The plugin source.
            'required'     => true, // If false, the plugin is only 'recommended' instead of required.
            'external_url' => 'https://zara.b3multimedia.ie/imports/codecanyon-7467925-master-slider-wordpress-responsive-touch-slider-wordpress-plugin.zip', // If set, overrides default API URL and points to an external URL.
        ),

        // This is an example of how to include a plugin from the WordPress Plugin Repository.
        array(
            'name'      => 'Twitter Feed for WordPress - AccessPress Twitter Feed',
            'slug'      => 'accesspress-twitter-feed',
            'required'  => true,
        ),
        array(
            'name'      => 'Caldera Forms - Drag and drop responsive form builder',
            'slug'      => 'caldera-forms',
            'required'  => true,
        ),
        array(
            'name'      => 'Recent Posts Widget With Thumbnails',
            'slug'      => 'recent-posts-widget-with-thumbnails',
            'required'  => true,
        ),
        array(
            'name'      => 'One Click Demo Import',
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ),
    );

    /*
     * Array of configuration settings. Amend each line as needed.
     *
     * TGMPA will start providing localized text strings soon. If you already have translations of our standard
     * strings available, please help us make TGMPA even better by giving us access to these translations or by
     * sending in a pull-request with .po file(s) with the translations.
     *
     * Only uncomment the strings in the config array if you want to customize the strings.
     */
    $config = array(
        'id'           => 'ZARA',                 // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to bundled plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'parent_slug'  => 'themes.php',            // Parent menu slug.
        'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => true,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.

        /*
        'strings'      => array(
            'page_title'                      => __( 'Install Required Plugins', 'ZARA' ),
            'menu_title'                      => __( 'Install Plugins', 'ZARA' ),
            /* translators: %s: plugin name. * /
            'installing'                      => __( 'Installing Plugin: %s', 'ZARA' ),
            /* translators: %s: plugin name. * /
            'updating'                        => __( 'Updating Plugin: %s', 'ZARA' ),
            'oops'                            => __( 'Something went wrong with the plugin API.', 'ZARA' ),
            'notice_can_install_required'     => _n_noop(
                /* translators: 1: plugin name(s). * /
                'This theme requires the following plugin: %1$s.',
                'This theme requires the following plugins: %1$s.',
                'ZARA'
            ),
            'notice_can_install_recommended'  => _n_noop(
                /* translators: 1: plugin name(s). * /
                'This theme recommends the following plugin: %1$s.',
                'This theme recommends the following plugins: %1$s.',
                'ZARA'
            ),
            'notice_ask_to_update'            => _n_noop(
                /* translators: 1: plugin name(s). * /
                'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.',
                'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.',
                'ZARA'
            ),
            'notice_ask_to_update_maybe'      => _n_noop(
                /* translators: 1: plugin name(s). * /
                'There is an update available for: %1$s.',
                'There are updates available for the following plugins: %1$s.',
                'ZARA'
            ),
            'notice_can_activate_required'    => _n_noop(
                /* translators: 1: plugin name(s). * /
                'The following required plugin is currently inactive: %1$s.',
                'The following required plugins are currently inactive: %1$s.',
                'ZARA'
            ),
            'notice_can_activate_recommended' => _n_noop(
                /* translators: 1: plugin name(s). * /
                'The following recommended plugin is currently inactive: %1$s.',
                'The following recommended plugins are currently inactive: %1$s.',
                'ZARA'
            ),
            'install_link'                    => _n_noop(
                'Begin installing plugin',
                'Begin installing plugins',
                'ZARA'
            ),
            'update_link'                     => _n_noop(
                'Begin updating plugin',
                'Begin updating plugins',
                'ZARA'
            ),
            'activate_link'                   => _n_noop(
                'Begin activating plugin',
                'Begin activating plugins',
                'ZARA'
            ),
            'return'                          => __( 'Return to Required Plugins Installer', 'ZARA' ),
            'plugin_activated'                => __( 'Plugin activated successfully.', 'ZARA' ),
            'activated_successfully'          => __( 'The following plugin was activated successfully:', 'ZARA' ),
            /* translators: 1: plugin name. * /
            'plugin_already_active'           => __( 'No action taken. Plugin %1$s was already active.', 'ZARA' ),
            /* translators: 1: plugin name. * /
            'plugin_needs_higher_version'     => __( 'Plugin not activated. A higher version of %s is needed for this theme. Please update the plugin.', 'ZARA' ),
            /* translators: 1: dashboard link. * /
            'complete'                        => __( 'All plugins installed and activated successfully. %1$s', 'ZARA' ),
            'dismiss'                         => __( 'Dismiss this notice', 'ZARA' ),
            'notice_cannot_install_activate'  => __( 'There are one or more required or recommended plugins to install, update or activate.', 'ZARA' ),
            'contact_admin'                   => __( 'Please contact the administrator of this site for help.', 'ZARA' ),

            'nag_type'                        => '', // Determines admin notice type - can only be one of the typical WP notice classes, such as 'updated', 'update-nag', 'notice-warning', 'notice-info' or 'error'. Some of which may not work as expected in older WP versions.
        ),
        */
    );

    tgmpa( $plugins, $config );
}
/*Import Bruno Child Theme Data and Settings*/
function ocdi_import_files() {
    return array(
        array(
            'import_file_name'           => 'Demo Import',
            'import_file_url'            => 'https://zara.b3multimedia.ie/imports/zara.xml',
            'import_widget_file_url'     => 'https://zara.b3multimedia.ie/imports/zara.wie',
            'import_customizer_file_url' => 'https://zara.b3multimedia.ie/imports/zara.dat',
            'import_notice'              => __( 'After you install this demo data by clicking on the button below, you can also install the demo content for Caldera Forms (contact-form.json) and Master Slider.', 'your-textdomain' ),
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'ocdi_import_files' );

function zara_ocdi_importer_options( $options ) {
	$options['aggressive_url_search'] = true;
	return $options;
}
add_filter( 'pt-ocdi/importer_options', 'zara_ocdi_importer_options',999 );


/*Assign Menu*/
function ocdi_after_import_setup() {
    //Menus to assign after import.
    $main_menu  = get_term_by( 'name', 'Main Menu', 'nav_menu' );
    $top_menu = get_term_by( 'name' , 'Top Menu', 'nav_menu' );
    set_theme_mod( 'nav_menu_locations', array(
        'primary-menu'      =>  $main_menu->term_id,
        'secondary-menu'    =>  $top_menu->term_id, 
        ));
	/*Set Front Page from Reading Options*/
	$front_page = get_page_by_title( 'Homepage' );
	if(isset( $front_page ) && $front_page->ID) {
		update_option( 'show_on_front','page' );
		update_option( 'page_on_front', $front_page->ID );
	}	
	
	global $wpdb;
    $oldurl = "https://zara.b3multimedia.ie";
    $newurl = site_url();
    $results = array();
    $queries = array(
        'content' =>        "UPDATE $wpdb->posts SET post_content = replace(post_content, %s, %s)",
        'excerpts' =>        "UPDATE $wpdb->posts SET post_excerpt = replace(post_excerpt, %s, %s)",
        'attachments' =>    "UPDATE $wpdb->posts SET guid = replace(guid, %s, %s) WHERE post_type = 'attachment'",
        //'links' =>            "UPDATE $wpdb->links SET link_url = replace(link_url, %s, %s)",
        //'custom' =>            array("UPDATE $wpdb->postmeta SET meta_value = replace(meta_value, %s, %s)",  __('Custom Fields') ),
        'guids' =>            "UPDATE $wpdb->posts SET guid = replace(guid, %s, %s)",
    );
    foreach ( $queries as $query_exe ){
        $result = $wpdb->query( $wpdb->prepare( $query_exe, $oldurl, $newurl) );
    }
		
}
add_action( 'pt-ocdi/after_import', 'ocdi_after_import_setup' );

wp_delete_post(1);


/* Bruno Theme Option */
include(get_stylesheet_directory() . '/zara_theme_option.php');

add_action( 'wp_footer', 'Zara_footer' );

function Zara_footer(){

wp_enqueue_style( 'custom-zara', get_stylesheet_directory_uri() . '/css/zara_custom.css', array(),true);

$book_table_background_color = et_get_option('divi_button_book_table_background_color','rgba(2, 126, 233, 0)');
$book_table_text_color = et_get_option('divi_button_book_table_text_color','#dce3ec');
$book_table_border_color = et_get_option('divi_button_book_table_border_color','#cea56d');
$book_table_hover_background_color = et_get_option('divi_button_book_table_hover_background_color','rgba(2, 126, 233, 0)');
$book_table_hover_text_color = et_get_option('divi_button_book_table_hover_text_color','#dce3ec');
$book_table_hover_border_color = et_get_option('divi_button_book_table_hover_border_color','#ffffff');
$book_table_border_radius = et_get_option('divi_button_book_table_border_radius','0px');


$custom_zara_css = '';
$custom_zara_css .= 'li.sign-up {
						background-color: '.$book_table_background_color.';
						border: 1px solid '.$book_table_border_color.';
						border-radius : '.$book_table_border_radius.';
					 }
					 li.sign-up:hover {
						background-color: '.$book_table_hover_background_color.';
						border: 1px solid '.$book_table_hover_border_color.';
						border-radius : '.$book_table_border_radius.';
					}
					.sign-up a{color:'.$book_table_text_color.';}
					.sign-up a:hover{color:'.$book_table_hover_text_color.';}
				  ';
wp_add_inline_style( 'custom-zara', $custom_zara_css );


}


// Adding Preloader options css
function zara_custom_preloader_option_css(){ 

if( et_get_option('divi_zara_preloader_option') != '' ){
	$divi_zara_preloader_option = et_get_option('divi_zara_preloader_option');
}else{
	$divi_zara_preloader_option = 'on';
}

if( $divi_zara_preloader_option == 'on' ){

 $divi_zara_preloader_images = get_option('divi_zara_preloader_images');
 $divi_zara_preloader_custom_image = et_get_option('divi_zara_preloader_custom_image');
 $divi_zara_preloader_background_color = et_get_option('divi_zara_preloader_background_color');
 $divi_zara_preloader_effects = et_get_option('divi_zara_preloader_effects');
 $divi_zara_preloader_delay_time = et_get_option('divi_zara_preloader_delay_time');
 $divi_zara_preloader_body_delay_time = et_get_option('divi_zara_preloader_body_delay_time');
 $divi_zara_preloader_body_opacity = et_get_option('divi_zara_preloader_body_opacity');
 $divi_zara_preloader_fadeout_speed = et_get_option('divi_zara_preloader_fadeout_speed');
 
 if ( $divi_zara_preloader_custom_image !='' || $divi_zara_preloader_images!= '' ){
 		
		if($divi_zara_preloader_custom_image != '' ){
			$loader_url = $divi_zara_preloader_custom_image;
		} else { 
			$loader_url = $divi_zara_preloader_images;
		}
		
 }else{
 		$loader_url = get_stylesheet_directory_uri()."/assets/img/zara-loader.gif";
 }
 ?>
	
	<style type="text/css">
		.preloader{
			background-color: <?php echo $divi_zara_preloader_background_color; ?>; /* change if the mask should have another color then white */
			opacity: <?php echo $divi_zara_preloader_body_opacity; ?>;
		}
		.preloader .status {
			background-image:url(<?php echo $loader_url; ?>); /* path to your loading animation */
		}
	</style>
<?php
}
	
}
add_action('wp_head' , 'zara_custom_preloader_option_css');


// Adding Preloader Active jQuery
function zara_preloader_js(){ 

if( et_get_option('divi_zara_preloader_option') != '' ){
	$divi_zara_preloader_option = et_get_option('divi_zara_preloader_option');
}else{
	$divi_zara_preloader_option = 'on';
}

if( $divi_zara_preloader_option == 'on' ){	

  $divi_zara_preloader_images = get_option('divi_zara_preloader_images');
 $divi_zara_preloader_custom_image = et_get_option('divi_zara_preloader_custom_image');
 $divi_zara_preloader_background_color = et_get_option('divi_zara_preloader_background_color');
 $divi_zara_preloader_effects = et_get_option('divi_zara_preloader_effects','fadeOut');
 $divi_zara_preloader_delay_time = et_get_option('divi_zara_preloader_delay_time',350);
 $divi_zara_preloader_body_delay_time = et_get_option('divi_zara_preloader_body_delay_time',350);
 $divi_zara_preloader_body_opacity = et_get_option('divi_zara_preloader_body_opacity',1);
 $divi_zara_preloader_fadeout_speed = et_get_option('divi_zara_preloader_fadeout_speed','fast');
?>

<script type="text/javascript">
	jQuery(window).load(function(){	
		jQuery('.status').fadeOut('<?php echo $divi_zara_preloader_fadeout_speed; ?>'); // will first fade out the loading animation
		jQuery('.preloader').delay(<?php echo $divi_zara_preloader_delay_time; ?>).<?php echo $divi_zara_preloader_effects; ?>('<?php echo $divi_zara_preloader_fadeout_speed; ?>'); // will fade out the white DIV that covers the website.
		jQuery('.home').delay(<?php echo $divi_zara_preloader_body_delay_time; ?>).css({'overflow':'visible'});
	})
</script>

<?php
}
	
}
add_action('wp_footer' , 'zara_preloader_js');

function et_zara_preloader_option(){

// Store layouts views in array
$preloader_images = array(
	'preloader_images1' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader1.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader1.gif'
	),
	'preloader_images2' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader2.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader2.gif'
	),	
	'preloader_images3' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader3.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader3.gif'
	),	
	'preloader_images4' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader4.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader4.gif'
	),	
	'preloader_images5' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader5.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader5.gif'
	),	
	'preloader_images6' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader6.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader6.gif'
	),	
	'preloader_images7' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader7.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader7.gif'
	),	
	'preloader_images8' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader8.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader8.gif'
	),	
	'preloader_images9' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader9.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader9.gif'
	),	
	'preloader_images10' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader10.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader10.gif'
	),	
	'preloader_images11' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader11.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader11.gif'
	),	
	'preloader_images12' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader12.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader12.gif'
	),	
	'preloader_images13' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader13.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader13.gif'
	),	
	'preloader_images14' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader14.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader14.gif'
	),	
	'preloader_images15' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader15.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader15.gif'
	),	
	'preloader_images16' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader16.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader16.gif'
	),	
	'preloader_images17' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader17.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader17.gif'
	),	
	'preloader_images18' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader18.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader18.gif'
	),	
	'preloader_images19' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader19.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader19.gif'
	),	
	'preloader_images20' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader20.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader20.gif'
	),	
	'preloader_images21' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader21.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader21.gif'
	),	
	'preloader_images22' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader22.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader22.gif'
	),	
	'preloader_images23' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader23.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader23.gif'
	),	
	'preloader_images24' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader24.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader24.gif'
	),	
	'preloader_images25' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader25.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader25.gif'
	),	
	'preloader_images26' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader26.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader26.gif'
	),	
	'preloader_images27' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader27.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader27.gif'
	),	
	'preloader_images28' => array(
		'value' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader28.gif',
		'img' => get_stylesheet_directory_uri().'/assets/img/preloader/preloader28.gif'
	)
	
	
);

$gt_preloader_images = get_option( 'divi_zara_preloader_images' ) ;
?>

	<?php
	 foreach( $preloader_images as $activate ) : ?>
			<div style="margin-right:50px; display: inline-block; line-height: 70px;">
			<input type="radio" id="divi_zara_preloader_images" name="divi_zara_preloader_images" value="<?php esc_attr_e( $activate['value'] ); ?>" <?php checked( $gt_preloader_images, $activate['value'] ); ?>  class="customradio"/>
			<label for="<?php echo $activate['value']; ?>"><img src="<?php echo $activate['img']; ?>" alt="" width="70" /></label>
			</div>
	<?php endforeach;?>

<?php }
add_action( 'wp_ajax_save_epanel', 'et_epanel_save_callback_new' );
function et_epanel_save_callback_new( $source ){
	update_option('divi_zara_preloader_images',$_POST['divi_zara_preloader_images']);
}
